Get Cyberbot to use logging API
Closed, ResolvedPublic5 Story Points

Description

Now that the deallink logging API is finished, we should have Cyberbot start using it.

Documentation for logging API:
https://meta.wikimedia.org/wiki/Fixing_dead_links/Deadlink_logging_app

kaldari created this task.Mar 15 2016, 5:39 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 15 2016, 5:39 PM
kaldari moved this task from Untriaged to Backlog on the Community-Tech board.Mar 15 2016, 5:39 PM
kaldari triaged this task as Normal priority.
kaldari added a subscriber: Cyberpower678.
DannyH set the point value for this task to 5.

@Cyberpower678: Do you have any thoughts or concerns about this task? Is this something that you would like to work on or would it be better for the Community Tech team to do the integration?

@Cyberpower678: Do you have any thoughts or concerns about this task? Is this something that you would like to work on or would it be better for the Community Tech team to do the integration?

I don't mind doing it. I just need to get around to it. If you want to do, I don't mind either. I would suggest the actual calls are made in the API class and it would be called from the analyzePage function.

DannyH raised the priority of this task from Normal to High.Mar 24 2016, 5:20 PM
Cyberpower678 lowered the priority of this task from High to Normal.Mar 24 2016, 5:47 PM
Cyberpower678 claimed this task.

@Cyberpower678: Do you have any thoughts or concerns about this task? Is this something that you would like to work on or would it be better for the Community Tech team to do the integration?

So the bot does not count links not fixed. It would need to take a bit to get that implemented the way the bot is built.

I don't have the password to this.

Cyberpower678 closed this task as Resolved.Mar 25 2016, 11:12 PM

@Cyberpower678: Do you have any thoughts or concerns about this task? Is this something that you would like to work on or would it be better for the Community Tech team to do the integration?

So the bot does not count links not fixed. It would need to take a bit to get that implemented the way the bot is built.

Could you not just send (total number of links - number of links fixed)?

Cyberpower678 added a comment.EditedMar 26 2016, 3:03 AM

@Cyberpower678: Do you have any thoughts or concerns about this task? Is this something that you would like to work on or would it be better for the Community Tech team to do the integration?

So the bot does not count links not fixed. It would need to take a bit to get that implemented the way the bot is built.

Could you not just send (total number of links - number of links fixed)?

I already fixed this. I just added a counter to the part of the code that tags or ignores instead of fixes.

@Cyberpower678: Do you have any thoughts or concerns about this task? Is this something that you would like to work on or would it be better for the Community Tech team to do the integration?

So the bot does not count links not fixed. It would need to take a bit to get that implemented the way the bot is built.

Could you not just send (total number of links - number of links fixed)?

Huh?

Number of links not fixed = Total number of reference links on the page - Number of links fixed.

Actually, numn is supposed to be for dead links that are not fixed, not any links that are not fixed. Knowing how many dead links are not successfully fixed is much more useful information for the Internet Archive.

Actually, numn is supposed to be for dead links that are not fixed, not any links that are not fixed. Knowing how many dead links are not successfully fixed is much more useful information for the Internet Archive.

Yes, I talked to Max about this and he says that the bot is correctly logging this number to the logger already.

DannyH moved this task from Ready to Done on the Community-Tech-Sprint board.Mar 28 2016, 5:18 PM
DannyH moved this task from Backlog to Archive on the Community-Tech board.Mar 28 2016, 10:35 PM